Resource

AI Agent

Manages custom AI agents. Deploy AI agents anywhere and connect them to your project for automated incident management.

The AI Agent Model

Properties

  • Name
    _id
    Type
    Object ID
    Description

    ID of this object

  • Name
    createdAt
    Type
    Date
    Description

    Date and Time when the object was created.

  • Name
    updatedAt
    Type
    Date
    Description

    Date and Time when the object was updated.

  • Name
    key
    Type
    TextRequired
    Description

  • Name
    name
    Type
    NameRequired
    Description

  • Name
    description
    Type
    Description
    Description

  • Name
    slug
    Type
    SlugRequired
    Description

    Friendly globally unique name for your object

  • Name
    aiAgentVersion
    Type
    VersionRequired
    Description

  • Name
    lastAlive
    Type
    Date
    Description

  • Name
    iconFile
    Type
    File
    Description

    AI Agent Icon

  • Name
    iconFileId
    Type
    Object ID
    Description

    AI Agent Icon File ID

  • Name
    project
    Type
    Project
    Description

  • Name
    projectId
    Type
    Object ID
    Description

  • Name
    createdByUser
    Type
    User
    Description

  • Name
    createdByUserId
    Type
    Object ID
    Description

    User ID who created this object (if this object was created by a User)

  • Name
    connectionStatus
    Type
    Text
    Description

    Connection Status of the AI Agent

  • Name
    isDefault
    Type
    BooleanRequired
    Description

    Is this the default AI Agent for the project? When set, this agent will be used for automated tasks.

  • Name
    labels
    Type
    Label
    Description

    Relation to Labels Array where this object is categorized in.

GETorPOST/api/ai-agent/get-list

List

This endpoint allows you to retrieve a paginated list of all your AI Agent. By default, a maximum of ten AI Agent are shown per page.

Optional Query Params

  • limit
    number
    Number of objects to fetch. By default 10, you can increase this count up to 100
  • skip
    number
    Number of objects to skip. This can be useful in pagination

Optional Request Body

List Request

POST
/api/ai-agent/get-list?skip=0&limit=10
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "select": {
    "name": true,
    "slug": true,
    "createdByUserId": true,
    "description": true,
    "iconFileId": true
  },
  "query": {
    "key": "Example value"
  },
  "sort": {
    "createdAt": -1
  }
}

Response

{
  "count": 10,
  "limit": 10,
  "skip": 0,
  "data": [
    {
      "_id": "37681bd0-28fe-11f1-b591-3fdcef396aba",
      "name": "My AI Agent",
      "slug": "my-ai-agent",
      "createdByUserId": "e5f6a7b8-c9d0-1234-ef12-345678901234",
      "description": "AI agent for automated incident triage and response",
      "iconFileId": "c3d4e5f6-a7b8-9012-cdef-123456789012"
    },
    {
      "_id": "3768df20-28fe-11f1-b591-3fdcef396aba",
      "name": "My AI Agent",
      "slug": "my-ai-agent",
      "createdByUserId": "e5f6a7b8-c9d0-1234-ef12-345678901234",
      "description": "AI agent for automated incident triage and response",
      "iconFileId": "c3d4e5f6-a7b8-9012-cdef-123456789012"
    },
    {
      "_id": "3768df21-28fe-11f1-b591-3fdcef396aba",
      "name": "My AI Agent",
      "slug": "my-ai-agent",
      "createdByUserId": "e5f6a7b8-c9d0-1234-ef12-345678901234",
      "description": "AI agent for automated incident triage and response",
      "iconFileId": "c3d4e5f6-a7b8-9012-cdef-123456789012"
    }
  ]
}
GETorPOST/api/ai-agent/:id/get-item

Get item by ID

This endpoint allows you to retrieve AI Agent by ID.

  • id
    text
    ID of the Object

Optional Request Body

Get Item Request

POST
/api/ai-agent/:id/get-item
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "select": {
    "name": true,
    "slug": true,
    "createdByUserId": true,
    "description": true,
    "iconFileId": true
  }
}

Response

{
  "_id": "37681bd0-28fe-11f1-b591-3fdcef396aba",
  "name": "My AI Agent",
  "slug": "my-ai-agent",
  "createdByUserId": "e5f6a7b8-c9d0-1234-ef12-345678901234",
  "description": "AI agent for automated incident triage and response",
  "iconFileId": "c3d4e5f6-a7b8-9012-cdef-123456789012"
}
POST/api/ai-agent/count

Count

This endpoint allows you to retrieve the count of all your AI Agent.

Optional Request Body

Count Request

POST
/api/ai-agent/count
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "query": {
    "key": "Example value"
  }
}

Response

{
  "count": 107
}
POST/api/ai-agent

Create AI Agent

This endpoint allows you to create a new object.

Create Request

POST
/api/ai-agent
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "data": {
    "name": "My AI Agent",
    "createdByUserId": "e5f6a7b8-c9d0-1234-ef12-345678901234",
    "description": "AI agent for automated incident triage and response",
    "iconFileId": "c3d4e5f6-a7b8-9012-cdef-123456789012",
    "projectId": "5f8b9c0d-e1a2-4b3c-8d5e-6f7a8b9c0d1e"
  }
}

Response

{
  "_id": "37681bd0-28fe-11f1-b591-3fdcef396aba",
  "name": "My AI Agent",
  "slug": "my-ai-agent",
  "createdByUserId": "e5f6a7b8-c9d0-1234-ef12-345678901234",
  "description": "AI agent for automated incident triage and response",
  "iconFileId": "c3d4e5f6-a7b8-9012-cdef-123456789012"
}
PUT/api/ai-agent/:id

Update by ID

This endpoint allows you to update object by its ID.

Alternative Methods

For clients that do not support PUT requests, you can use POST or GET with the same request headers and body:

POST/api/ai-agent/:id/update-item
GET/api/ai-agent/:id/update-item

Update Request

PUT
/api/ai-agent/:id
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "data": {
    "name": "My AI Agent",
    "description": "AI agent for automated incident triage and response",
    "iconFileId": "c3d4e5f6-a7b8-9012-cdef-123456789012"
  }
}

Response

{}
DELETE/api/ai-agent/:id

Delete by ID

This endpoint allows you to delete object by its ID.

Alternative Methods

For clients that do not support DELETE requests, you can use POST or GET with the same request headers and body:

POST/api/ai-agent/:id/delete-item
GET/api/ai-agent/:id/delete-item

Delete Request

DELETE
/api/ai-agent/:id
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY

Response

{}

Permissions

Your API Token needs permissions to create, update, read or delete this resource. If you do not have permissions to make a request a 4xx status will be sent as response.

Read Permissions

Required to read AI Agent

  • Public
  • Project Owner
  • Project Admin
  • Project Member
  • Read AI Agent
  • Read All Project Resources

Create Permissions

Required to create AI Agent

  • Project Owner
  • Project Admin
  • Project Member
  • Create AI Agent

Update Permissions

Required to update AI Agent

  • Project Owner
  • Project Admin
  • Project Member
  • Edit AI Agent

Delete Permissions

Required to delete AI Agent

  • Project Owner
  • Project Admin
  • Project Member
  • Delete AI Agent